IDEA下lombok安装,以及找不到get,set的问题

    今天尝试在IDEA中使用Lombok,但是在编译时,提示找不到set()和get()方法,我明明在javabean中使用了@Data注解,但是编译器就是找不到。于是从网上查询了很多的方法去解决,最后终于解决了。接下来我就将过程分享一下,希望能够帮助需要的人:

Idea下安装lombok(需要二步)

  第一步: pom.xml中加入lombok依赖包

<!-- https://mvnrepository.com/artifact/org.projectlombok/lombok -->
    <dependency>
      <groupId>org.projectlombok</groupId>
      <artifactId>lombok</artifactId>
      <version>1.16.20</version>
      <scope>provided</scope>
    </dependency>

第二部:加入lombok插件

步骤:File ——》Settings——》Plugins.    搜索lombok,点击安装install。然后会提示重启,重启。



解决编译时无法找到set和get 的问题:

可能一:IDEA的编译方式选项错误,应该是javac,而不是eclipse。因为eclipse是不支持lombok的编译方式的,javac支持lombok的编译方式。


可能二:没有打开注解生成器Enable annotation processing。


可能三(我遇到的就是这个问题):pom.xml中加入的lombok依赖包版本和自动安装的plugin中的lombok依赖包版本不一致。

因为我们添加的lombok插件plugin,点击insall时是自动安装的最新版本的lombok。但是我在pom.xml中的依赖包是maven中的低版本的一个依赖包,版本不一致,造成了无法找到set和get.


阅读更多

没有更多推荐了,返回首页